> ## Documentation Index
> Fetch the complete documentation index at: https://api.skycoach.gg/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get product by ID



## OpenAPI

````yaml /api-docs.json get /api/shop/marketplace/products/{productId}
openapi: 3.0.0
info:
  title: Currency Marketplace API
  description: API documentation for Currency Marketplace
  version: 1.0.0
servers:
  - url: https://skycoach.gg/
    description: API Server
security: []
tags:
  - name: Currency Marketplace
    description: Currency Marketplace
  - name: Offers
    description: Offers
  - name: Offer Credentials
    description: Offer Credentials
paths:
  /api/shop/marketplace/products/{productId}:
    get:
      tags:
        - Currency Marketplace
      summary: Get product by ID
      operationId: 3579b9e9417bf198de842f05555b602f
      parameters:
        - name: Accept
          in: header
          description: API response format
          required: true
          schema:
            type: string
            default: application/json
            enum:
              - application/json
        - name: productId
          in: path
          description: Product ID
          required: true
          schema:
            type: integer
            example: 123
      responses:
        '200':
          description: >-
            Success. Returns single product matching
            PublicProductCurrencySettingResource.
          content:
            application/json:
              schema:
                properties:
                  result:
                    properties:
                      id:
                        type: integer
                        example: 61
                      title:
                        type: string
                        example: Marvel Rivals Accounts
                      step_size:
                        type: integer
                        example: 1
                      meta:
                        type: object
                        example: null
                        nullable: true
                      is_active:
                        type: boolean
                        example: true
                      is_active_for_pro:
                        type: boolean
                        example: true
                      marketplace_type:
                        type: integer
                        enum:
                          - 1
                          - 2
                        example: 2
                      related_product:
                        type: array
                        items:
                          type: object
                      product_fields:
                        type: array
                        items:
                          properties:
                            id:
                              type: integer
                              example: 198
                            parent_id:
                              type: integer
                              example: null
                              nullable: true
                            product_id:
                              type: integer
                              example: 61
                            is_inline:
                              type: boolean
                              example: false
                            is_filter:
                              type: boolean
                              example: false
                            is_required:
                              type: boolean
                              example: true
                            title:
                              type: string
                              example: Platform
                            placeholder:
                              type: string
                              example: Platform
                              nullable: true
                            component_view:
                              type: integer
                              example: 5
                            priority:
                              type: integer
                              example: 2
                            deleted_at:
                              type: string
                              format: date-time
                              example: null
                              nullable: true
                            parent_value_id:
                              type: integer
                              example: null
                              nullable: true
                            default_value_id:
                              type: integer
                              example: null
                              nullable: true
                            is_primary:
                              type: boolean
                              example: true
                            component_edit:
                              type: integer
                              example: 2
                            has_custom_value:
                              type: boolean
                              example: false
                            has_values_counter:
                              type: boolean
                              example: false
                            component_view_data:
                              type: object
                              nullable: true
                            component_edit_data:
                              type: object
                              nullable: true
                            is_hidden:
                              type: boolean
                              example: false
                            ranking_weight:
                              type: integer
                              example: 0
                            is_show_in_tags:
                              type: boolean
                              example: false
                            title_for_primary:
                              type: string
                              example: null
                              nullable: true
                            title_for_tags:
                              type: string
                              example: null
                              nullable: true
                            is_sort_values_by_priority:
                              type: boolean
                              example: false
                            product_field_values:
                              type: array
                              items:
                                properties:
                                  id:
                                    type: integer
                                    example: 1
                                  product_field_id:
                                    type: integer
                                    example: 198
                                  value:
                                    type: string
                                    example: PC
                                  priority:
                                    type: integer
                                    example: 1
                                  deleted_at:
                                    type: string
                                    format: date-time
                                    example: null
                                    nullable: true
                                  additional_value:
                                    type: string
                                    example: null
                                    nullable: true
                                type: object
                          type: object
                    type: object
                type: object
        '401':
          description: Unauthorized
          content:
            application/json:
              schema: {}
              example:
                message: Unauthenticated.
        '403':
          description: Forbidden
          content:
            application/json:
              schema: {}
              example:
                message: Forbidden.
        '404':
          description: Product setting not found
          content:
            application/json:
              schema: {}
              example:
                message: Not found
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````